<?xml version="1.0" encoding="utf-8" standalone="no"?><manifest xmlns:android="http://schemas.android.com/apk/res/android" android:installLocation="auto" package="com.evancharlton.mileage" platformBuildVersionCode="23" platformBuildVersionName="6.0-2438415">
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.VIBRATE"/>
    <uses-permission android:name="android.permission.INTERNET" />
    <supports-screens android:anyDensity="true" android:largeScreens="true" android:normalScreens="true" android:smallScreens="true"/>
    <application android:icon="@drawable/icon" android:label="@string/app_name">
        <provider android:authorities="com.evancharlton.mileage" android:name=".provider.FillUpsProvider"/>
        <activity android:name=".Mileage" android:theme="@android:style/Theme.NoTitleBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>
        <activity android:label="@string/title_about" android:name=".AboutActivity" android:theme="@android:style/Theme.Dialog"/>
        <activity android:label="@string/title_fillup" android:name=".FillupActivity"/>
        <activity android:label="@string/title_fillup_info" android:name=".FillupInfoActivity"/>
        <activity android:label="@string/title_fillup_list" android:name=".FillupListActivity"/>
        <activity android:label="@string/title_field" android:name=".FieldActivity"/>
        <activity android:label="@string/title_field_list" android:name=".FieldListActivity"/>
        <activity android:label="@string/title_vehicle" android:name=".VehicleActivity"/>
        <activity android:label="@string/title_vehicle_list" android:name=".VehicleListActivity"/>
        <activity android:label="@string/title_vehicle_type" android:name=".VehicleTypeActivity"/>
        <activity android:label="@string/title_vehicle_type_list" android:name=".VehicleTypeListActivity"/>
        <activity android:label="@string/title_service_interval" android:name=".ServiceIntervalActivity"/>
        <activity android:label="@string/title_service_interval_list" android:name=".ServiceIntervalsListActivity"/>
        <activity android:label="@string/title_service_interval_template" android:name=".ServiceIntervalTemplateActivity"/>
        <activity android:label="@string/title_service_interval_template_list" android:name=".ServiceIntervalTemplateListActivity"/>
        <activity android:label="@string/title_settings" android:name=".SettingsActivity"/>
        <activity android:label="@string/title_statistics" android:name=".VehicleStatisticsActivity"/>
        <activity android:label="@string/title_importexport" android:name=".ImportExportActivity"/>
        <activity android:label="@string/title_import" android:name=".ImportActivity"/>
        <activity android:label="@string/title_export" android:name=".ExportActivity"/>
        <activity android:label="@string/title_export_csv" android:name=".io.CsvExportActivity"/>
        <activity android:label="@string/title_csv_map_columns" android:name=".io.CsvColumnMappingActivity"/>
        <activity android:label="@string/title_csv_map_vehicles" android:name=".io.CsvVehicleMappingActivity"/>
        <activity android:label="@string/title_csv_date_format" android:name=".io.CsvDateFormatActivity"/>
        <activity android:label="@string/title_import_csv" android:name=".io.CsvImportActivity"/>
        <activity android:label="@string/title_export_db" android:name=".io.DbExportActivity"/>
        <activity android:label="@string/title_import_db" android:name=".io.DbImportActivity"/>
        <activity android:label="@string/title_chart_avg_economy" android:name=".charts.AverageFuelEconomyChart"/>
        <activity android:label="@string/title_chart_min_economy" android:name=".charts.WorstFuelEconomyChart"/>
        <activity android:label="@string/title_chart_max_economy" android:name=".charts.BestFuelEconomyChart"/>
        <activity android:label="@string/title_chart_avg_distance" android:name=".charts.AverageDistanceChart"/>
        <activity android:label="@string/title_chart_min_distance" android:name=".charts.MinimumDistanceChart"/>
        <activity android:label="@string/title_chart_max_distance" android:name=".charts.MaximumDistanceChart"/>
        <activity android:label="@string/title_chart_avg_cost" android:name=".charts.AverageCostChart"/>
        <activity android:label="@string/title_chart_max_cost" android:name=".charts.MaximumCostChart"/>
        <activity android:label="@string/title_chart_min_cost" android:name=".charts.MinimumCostChart"/>
        <activity android:label="@string/title_chart_total_cost" android:name=".charts.TotalCostChart"/>
        <activity android:label="@string/title_chart_last_month_cost" android:name=".charts.LastMonthCostChart"/>
        <activity android:label="@string/title_chart_last_year_cost" android:name=".charts.LastYearCostChart"/>
        <activity android:label="@string/title_chart_avg_price" android:name=".charts.AveragePriceChart"/>
        <activity android:label="@string/title_chart_min_price" android:name=".charts.MinimumPriceChart"/>
        <activity android:label="@string/title_chart_max_price" android:name=".charts.MaximumPriceChart"/>
        <activity android:label="@string/title_chart_avg_fuel" android:name=".charts.AverageVolumeChart"/>
        <activity android:label="@string/title_chart_min_fuel" android:name=".charts.MinimumVolumeChart"/>
        <activity android:label="@string/title_chart_max_fuel" android:name=".charts.MaximumVolumeChart"/>
        <activity android:label="@string/title_chart_total_fuel" android:name=".charts.TotalVolumeChart"/>
        <activity android:label="@string/title_chart_north" android:name=".charts.NorthChart"/>
        <activity android:label="@string/title_chart_south" android:name=".charts.SouthChart"/>
        <activity android:label="@string/title_chart_east" android:name=".charts.EastChart"/>
        <activity android:label="@string/title_chart_west" android:name=".charts.WestChart"/>
        <service android:name=".services.RecalculateEconomyService"/>
        <service android:name=".services.AutomaticBackupService"/>
        <receiver android:name=".receivers.MediaChangedReceiver">
            <intent-filter>
                <action android:name="android.intent.action.MEDIA_MOUNTED"/>
                <data android:scheme="file"/>
            </intent-filter>
        </receiver>
        <receiver android:name=".alarms.IntervalReceiver"/>
    </application>
</manifest>
